require 'yaml'
require 'trollop'
require "test_gem/version"
require 'test_gem/my_file'
require 'test_gem/my_error'


module TestGem
  @LOAD_PATH = File.expand_path('~/.config')

  def self.configure
    if File.exists? "#{@LOAD_PATH}/test_gem_config.yml"
      conf = YAML.load(File.open("#{@LOAD_PATH}/test_gem_config.yml"))
    else
      raise TestGem::MyError.new("Please run --init first, you have no config file")

    end

    @default_file_name = conf[:default_file_name]
    @supported_types   = conf[:supported_types]


  end


  def self.init_config
    data = { :default_file_name => 'default_file.txt',
             :supported_types   => ['txt', 'pdf'] }.to_yaml

    File.open("#{@LOAD_PATH}/test_gem_config.yml", "w") { |f| f.write(data) }

  end


end
